### Hierarchy

- unknown
  - MailboxMessageList

## Index

### Constructors

- constructor

### Methods

- addMailboxItem
- clearMailboxItemList
- getMailboxItemList
- serializeBinary
- setMailboxItemList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MailboxMessageList(): MailboxMessageList

- Inherited from jspb.Message.constructor

  #### Returns MailboxMessageList

## Methods

### addMailboxItem

- addMailboxItem(value?: MailboxItem, index?: number): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2646

  #### Parameters

  - ##### Optional value: MailboxItem

  - ##### Optional index: number

  #### Returns MailboxItem

### clearMailboxItemList

- clearMailboxItemList(): MailboxMessageList

- - Defined in src/protobuf/pb_pb.d.ts:2645

  #### Returns MailboxMessageList

### getMailboxItemList

- getMailboxItemList(): MailboxItem []

- - Defined in src/protobuf/pb_pb.d.ts:2643

  #### Returns MailboxItem []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2648

  #### Returns Uint8Array

### setMailboxItemList

- setMailboxItemList(value: MailboxItem []): MailboxMessageList

- - Defined in src/protobuf/pb_pb.d.ts:2644

  #### Parameters

  - ##### value: MailboxItem []

  #### Returns MailboxMessageList

### toObject

- toObject(includeInstance?: boolean): MailboxMessageList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2649

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MailboxMessageList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MailboxMessageList

- - Defined in src/protobuf/pb_pb.d.ts:2652

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MailboxMessageList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MailboxMessageList, reader: BinaryReader): MailboxMessageList

- - Defined in src/protobuf/pb_pb.d.ts:2653

  #### Parameters

  - ##### message: MailboxMessageList

  - ##### reader: BinaryReader

  #### Returns MailboxMessageList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MailboxMessageList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2651

  #### Parameters

  - ##### message: MailboxMessageList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MailboxMessageList ): MailboxMessageList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2650

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MailboxMessageList

  #### Returns MailboxMessageList . AsObject

Generated using TypeDoc